Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.client
Class ClientConfig

    java.lang.Object
      vutbr.checkers.client.ClientConfig

    public class ClientConfig

extends java.lang.Object

Constructor Summary
`ClientConfig(java.lang.String configFile)` Konstruktor

Method Summary
`java.lang.String` | `getHelpUrl()` Vrati URL napovedy
`java.lang.String` | `getHost()` Vrati host
`java.lang.String` | `getLogin()` Vrati login hrace
`int` | `getPort()` Vrati port
`void` | `load()` Nacte konfiguracni soubor
`void` | `save()` Ulozi konfiguracni soubor
`void` | `setHelpUrl(java.lang.String helpUrl)` Nastavi URL napovedy
`void` | `setHost(java.lang.String host)` Nastavi host
`void` | `setLogin(java.lang.String login)` Nastavi login hrace
`void` | `setPort(int port)` Nastavi port

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConfig

    public ClientConfig(java.lang.String configFile)

  Konstruktor

  Parameters:
    `configFile` - Jmeno konfiguracniho souboru

Method Detail

### load

    public void load()

  Nacte konfiguracni soubor

### save

    public void save()

  Ulozi konfiguracni soubor

### setHost

    public void setHost(java.lang.String host)

  Nastavi host

  Parameters:
    `host` - Host

### getHost

    public java.lang.String getHost()

  Vrati host

  Returns:
    Host

### setPort

    public void setPort(int port)

  Nastavi port

  Parameters:
    `port` - Port

### getPort

    public int getPort()

  Vrati port

  Returns:
    Port

### setLogin

    public void setLogin(java.lang.String login)

  Nastavi login hrace

  Parameters:
    `login` - Login hrace

### getLogin

    public java.lang.String getLogin()

  Vrati login hrace

  Returns:
    Login

### setHelpUrl

    public void setHelpUrl(java.lang.String helpUrl)

  Nastavi URL napovedy

  Parameters:
    `helpUrl` - URL napovedy

### getHelpUrl

    public java.lang.String getHelpUrl()

  Vrati URL napovedy

  Returns:
    URL napovedy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD